Skip to main content
`Ctrl`+`K`

# TSARKIMEXPRSSP2

Second order SSP ARK IMEX scheme, [PR05] This method has three implicit stages.

This method is referred to as SSP2-(3,3,2) in https://arxiv.org/abs/1110.4375

## Options Database Key

- -ts_arkimex_type prssp2 - set arkimex type to prssp2

## References

[PR05]

L. Pareschi and G. Russo. Implicit-explicit Runge-Kutta schemes and applications to hyperbolic systems with relaxation. Journal of Scientific Computing, 25(1):129–155, 2005.

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEX`, `TSARKIMEXType`, `TSARKIMEXSetType()`

## Level

advanced

## Location

src/ts/impls/arkimex/arkimex.c

## Examples

src/ts/tutorials/ex36.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages